Package org.springframework.format

# Interface Printer<T>

Type Parameters:
  `T` - the type of object this Printer prints

All Known Subinterfaces:
  `Formatter<T>`

All Known Implementing Classes:
  `AbstractNumberFormatter`, `CurrencyStyleFormatter`, `CurrencyUnitFormatter`, `DateFormatter`, `DurationFormatter`, `InstantFormatter`, `MonetaryAmountFormatter`, `NumberStyleFormatter`, `PercentStyleFormatter`, `TemporalAccessorPrinter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Printer<T>
Prints objects of type T for display.

Since:
  3.0
Author:
  Keith Donald

## Method Summary

Modifier and Type
Method
Description
`String`
`print(T object, Locale locale)`
Print the object of type T for display.

## Method Details

### print

String print(T object, Locale locale)
Print the object of type T for display.

Parameters:
  `object` - the instance to print
  `locale` - the current user locale
Returns:
  the printed text string